Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_lac.F90	(revision 2633)
@@ -110,6 +110,6 @@
       !!-----------------------------------------------------------------------!
 
-      IF(  .NOT. wrk_use(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .AND.   &
-         & .NOT. wrk_use(2, 1,2,3,4,5,6,7,8)                        ) THEN
+      IF(  wrk_in_use(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .OR.   &
+         & wrk_in_use(2, 1,2,3,4,5,6,7,8)                        ) THEN
          CALL ctl_stop('lim_thd_dh : requestead workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -689,6 +689,6 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .AND.     &
-         &.NOT. wrk_release(2, 1,2,3,4,5,6,7,8)                        )   &
+      IF( wrk_not_released(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .OR.     &
+         &wrk_not_released(2, 1,2,3,4,5,6,7,8)                       )   &
          &      CALL ctl_stop( 'lim_thd_lac : failed to release workspace arrays.' )
       !
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_sal.F90	(revision 2633)
@@ -59,5 +59,5 @@
       !!---------------------------------------------------------------------
 
-      IF(  .NOT. wrk_use(1, 1,2,3)  ) THEN
+      IF(  wrk_in_use(1, 1,2,3)  ) THEN
          CALL ctl_stop('lim_thd_dh : requestead workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -237,5 +237,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(1, 1,2,3) )   CALL ctl_stop( 'lim_thd_lac : failed to release workspace arrays.' )
+      IF( wrk_not_released(1, 1,2,3) )   CALL ctl_stop( 'lim_thd_lac : failed to release workspace arrays.' )
       !
    END SUBROUTINE lim_thd_sal
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limtrp.F90	(revision 2633)
@@ -62,5 +62,5 @@
       !! ** action :
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zs0at => wrk_2d_1 , zsm => wrk_2d_2 , zs0ow  => wrk_2d_3      ! 2D workspace
       USE wrk_nemo, ONLY:   wrk_3d_1, wrk_3d_2, wrk_3d_3, wrk_3d_4, wrk_3d_5, wrk_3d_6    ! 3D workspace
@@ -80,5 +80,5 @@
       !!---------------------------------------------------------------------
 
-      IF( .NOT.wrk_use( 2, 1,2,3,4,5 ) ) THEN
+      IF( wrk_in_use( 2, 1,2,3,4,5 ) ) THEN
          CALL ctl_stop( 'lim_trp : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -463,5 +463,5 @@
       ENDIF
       !
-      IF( .NOT.wrk_release( 2, 1,2,3,4,5 ) )   CALL ctl_stop('lim_trp_2 : failed to release workspace arrays.')
+      IF( wrk_not_released( 2, 1,2,3,4,5 ) )   CALL ctl_stop('lim_trp_2 : failed to release workspace arrays.')
       !
    END SUBROUTINE lim_trp
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limvar.F90	(revision 2633)
@@ -304,5 +304,5 @@
       !!------------------------------------------------------------------
 
-      IF( .NOT.wrk_use( 2, 1,2 ) ) THEN
+      IF( wrk_in_use( 2, 1,2 ) ) THEN
          CALL ctl_stop( 'lim_var_salprof : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -388,5 +388,5 @@
       ENDIF ! num_sal
       !
-      IF( .NOT.wrk_release( 2, 1,2 ) )   CALL ctl_stop('lim_var_salprof : failed to release workspace arrays.')
+      IF( wrk_not_released( 2, 1,2 ) )   CALL ctl_stop('lim_var_salprof : failed to release workspace arrays.')
       !
    END SUBROUTINE lim_var_salprof
@@ -441,5 +441,5 @@
       !!---------------------------------------------------------------------
 
-      IF(  .NOT. wrk_use(1, 1)  ) THEN
+      IF(  wrk_in_use(1, 1)  ) THEN
          CALL ctl_stop('lim_var_salprof1d : requestead workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -510,5 +510,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(1, 1) )   CALL ctl_stop( 'lim_var_salprof1d : failed to release workspace arrays.' )
+      IF( wrk_not_released(1, 1) )   CALL ctl_stop( 'lim_var_salprof1d : failed to release workspace arrays.' )
       !
    END SUBROUTINE lim_var_salprof1d
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limwri.F90	(revision 2633)
@@ -70,5 +70,5 @@
       !!  modif : 03/06/98
       !!-------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_release, wrk_use
+      USE wrk_nemo, ONLY: wrk_not_released, wrk_in_use
       USE wrk_nemo, ONLY: zfield => wrk_2d_1             ! 2D workspace
       USE wrk_nemo, ONLY: wrk_3d_1, wrk_3D_2, wrk_3d_3   ! 3D workspace
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diaar5.F90	(revision 2633)
@@ -65,5 +65,5 @@
       !! ** Purpose :   compute and output some AR5 diagnostics
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zarea_ssh => wrk_2d_1, zbotpres => wrk_2d_2
       USE wrk_nemo, ONLY: zrhd => wrk_3d_1, zrhop => wrk_3d_2
@@ -76,7 +76,7 @@
       !!--------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1,2)) .OR. &
-          (.NOT. wrk_use(3, 1,2)) .OR. &
-          (.NOT. wrk_use(4, 1)) )THEN
+      IF( wrk_in_use(2, 1,2) .OR. &
+          wrk_in_use(3, 1,2) .OR. &
+          wrk_in_use(4, 1) )THEN
          CALL ctl_stop('dia_ar5: requested workspace arrays unavailable')   ;   RETURN
       END IF
@@ -160,7 +160,7 @@
       CALL iom_put( 'saltot' , zsal  )
       !
-      IF( (.NOT. wrk_release(2, 1,2)) .OR. &
-          (.NOT. wrk_release(3, 1,2)) .OR. &
-          (.NOT. wrk_release(4, 1)) )THEN
+      IF( wrk_not_released(2, 1,2) .OR. &
+          wrk_not_released(3, 1,2) .OR. &
+          wrk_not_released(4, 1) )THEN
          CALL ctl_stop('dia_ar5: failed to release workspace arrays')
       END IF
@@ -175,5 +175,5 @@
       !! ** Purpose :   initialization for AR5 diagnostic computation
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: wrk_4d_1
       !!
@@ -185,5 +185,5 @@
       !!----------------------------------------------------------------------
       !
-      IF(.NOT. wrk_use(4, 1))THEN
+      IF(wrk_in_use(4, 1))THEN
          CALL ctl_stop('dia_ar5_init: requested workspace array unavailable.')   ;   RETURN
       END IF
@@ -223,5 +223,5 @@
       ENDIF
       !
-      IF(.NOT. wrk_release(4, 1))THEN
+      IF(wrk_not_released(4, 1))THEN
          CALL ctl_stop('dia_ar5_init: failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 2633)
@@ -210,5 +210,5 @@
       !!----------------------------------------------------------------------
 #if defined key_mpp_mpi
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zwork => wrk_1d_1
 #endif
@@ -228,5 +228,5 @@
       !
 #if defined key_mpp_mpi
-      IF( .not. wrk_use(1, 1) ) THEN
+      IF( wrk_in_use(1, 1) ) THEN
          CALL ctl_stop('ptr_vjk: ERROR - requested workspace array is unavailable')   ;   RETURN
       END IF
@@ -265,5 +265,5 @@
       !
 #if defined key_mpp_mpi
-      IF(.NOT. wrk_release(1, 1) )   CALL ctl_stop('ptr_vjk: ERROR - failed to release workspace array')
+      IF(wrk_not_released(1, 1) )   CALL ctl_stop('ptr_vjk: ERROR - failed to release workspace array')
 #endif
       !
@@ -282,5 +282,5 @@
       !!----------------------------------------------------------------------
 #if defined key_mpp_mpi
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zwork => wrk_1d_1
 #endif
@@ -299,5 +299,5 @@
       !
 #if defined key_mpp_mpi
-      IF(.NOT. wrk_use(1, 1))THEN
+      IF(wrk_in_use(1, 1))THEN
          CALL ctl_stop('ptr_tjk: requested workspace array unavailable.')
          RETURN
@@ -324,5 +324,5 @@
       !
 #if defined key_mpp_mpi
-      IF( .NOT. wrk_release(1, 1) )   CALL ctl_stop('ptr_tjk: failed to release workspace array.')
+      IF( wrk_not_released(1, 1) )   CALL ctl_stop('ptr_tjk: failed to release workspace array.')
 #endif
       !    
@@ -532,5 +532,5 @@
       !! ** Method  :   NetCDF file
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zphi => wrk_1d_1, zfoo => wrk_1d_2
       USE wrk_nemo, ONLY: z_1  => wrk_2d_1
@@ -551,5 +551,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.not. wrk_use(1, 1,2)) .OR. (.not. wrk_use(2, 1)) )THEN
+      IF( wrk_in_use(1, 1,2) .OR. wrk_in_use(2, 1) )THEN
          CALL ctl_stop('dia_ptr_wri: ERROR: requested workspace arrays unavailable')   ;   RETURN
       END IF
@@ -867,5 +867,5 @@
       ENDIF
       !
-      IF( .not. wrk_release(1, 1,2) .OR. (.not. wrk_release(2, 1)) )   &
+      IF( wrk_not_released(1, 1,2) .OR. wrk_not_released(2, 1) )   &
          CALL ctl_stop('dia_ptr_wri: failed to release workspace arrays')
       !
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 2633)
@@ -117,5 +117,5 @@
       !!----------------------------------------------------------------------
       USE oce, ONLY :   z3d => ta   ! use ta as 3D workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: z2d => wrk_2d_1
       !!
@@ -126,5 +126,5 @@
       !!----------------------------------------------------------------------
       ! 
-      IF( .not. wrk_use(2, 1))THEN
+      IF( wrk_in_use(2, 1))THEN
          CALL ctl_stop('dia_wri: ERROR - requested 2D workspace unavailable.')
          RETURN
@@ -200,5 +200,5 @@
       ENDIF
       !
-      IF( .not. wrk_release(2, 1))THEN
+      IF( wrk_not_released(2, 1))THEN
          CALL ctl_stop('dia_wri: ERROR - failed to release 2D workspace.')
          RETURN
@@ -224,5 +224,5 @@
       !!      Each nwrite time step, output the instantaneous or mean fields
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zw2d => wrk_2d_1
       !!
@@ -236,5 +236,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( .not. wrk_use(2, 1))THEN
+      IF( wrk_in_use(2, 1))THEN
          CALL ctl_stop('dia_wri: ERROR - requested 2D workspace unavailable.')
          RETURN
@@ -608,5 +608,5 @@
       ENDIF
       !
-      IF( .not. wrk_release(2, 1))THEN
+      IF( wrk_not_released(2, 1))THEN
          CALL ctl_stop('dia_wri: ERROR - failed to release 2D workspace.')
          RETURN
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 2633)
@@ -131,5 +131,5 @@
       !!               tmask_i  : interior ocean mask
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release, iwrk_use, iwrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
       USE wrk_nemo, ONLY: zwf => wrk_2d_1
       USE wrk_nemo, ONLY: imsk => iwrk_2d_1
@@ -142,5 +142,5 @@
       !!---------------------------------------------------------------------
       
-      IF( (.not. wrk_use(2,1)) .OR. (.not. iwrk_use(2,1)) )THEN
+      IF( wrk_in_use(2,1) .OR. iwrk_in_use(2,1) )THEN
          CALL ctl_stop('dom_msk: ERROR: requested workspace arrays unavailable.')
          RETURN
@@ -443,5 +443,5 @@
       ENDIF
       !
-      IF( (.not. wrk_release(2,1)) .OR. (.not. iwrk_release(2,1)) )THEN
+      IF( wrk_not_released(2,1) .OR. iwrk_not_released(2,1) )THEN
          CALL ctl_stop('dom_msk: ERROR: failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domngb.F90	(revision 2633)
@@ -37,5 +37,5 @@
       !!----------------------------------------------------------------------
       USE in_out_manager, ONLY: ctl_stop
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zglam => wrk_2d_2, &
                           zgphi => wrk_2d_3, &
@@ -52,5 +52,5 @@
       !!--------------------------------------------------------------------
 
-      IF(.not. wrk_use(2, 2, 3, 4, 5))THEN
+      IF(wrk_in_use(2, 2, 3, 4, 5))THEN
          CALL ctl_stop('dom_ngb: Requested workspaces already in use.')
       END IF
@@ -81,5 +81,5 @@
       ENDIF
 
-      IF(.not. wrk_release(2, 2,3,4,5))THEN
+      IF(wrk_not_released(2, 2,3,4,5))THEN
          CALL ctl_stop('dom_ngb: error releasing workspaces.')
       ENDIF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 2633)
@@ -65,5 +65,5 @@
       !!               ssh over the whole water column (scale factors)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zs_t   => wrk_2d_1, zs_u_1 => wrk_2d_2
       USE wrk_nemo, ONLY:   zs_v_1 => wrk_2d_3
@@ -74,5 +74,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(2, 1,2,3))THEN
+      IF(wrk_in_use(2, 1,2,3))THEN
          CALL ctl_stop('dom_vvl: ERROR - requested workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -190,5 +190,5 @@
       fse3v_b(:,:,:) = fse3v_b(:,:,:) + fse3v_0(:,:,:)
       !
-      IF(.not. wrk_release(2, 1,2,3))THEN
+      IF(wrk_not_released(2, 1,2,3))THEN
          CALL ctl_stop('dom_vvl: ERROR - failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 2633)
@@ -63,5 +63,5 @@
       !!                                   masks, depth and vertical scale factors
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zprt  => wrk_2d_1, zprw  => wrk_2d_2
       USE wrk_nemo, ONLY: zdepu => wrk_3d_1, zdepv => wrk_3d_2
@@ -80,5 +80,5 @@
       !!----------------------------------------------------------------------
 
-      IF( (.not. wrk_use(2, 1,2)) .OR. (.not. wrk_use(3, 1,2)) )THEN
+      IF( wrk_in_use(2, 1,2) .OR. wrk_in_use(3, 1,2) )THEN
          CALL ctl_stop('dom_wri: ERROR - requested workspace arrays unavailable.')
          RETURN
@@ -261,5 +261,5 @@
       END SELECT
       !
-      IF( (.not. wrk_release(2, 1,2)) .OR. (.not. wrk_release(3, 1,2)) )THEN
+      IF( wrk_not_released(2, 1,2) .OR. wrk_not_released(3, 1,2) )THEN
          CALL ctl_stop('dom_wri: ERROR - failed to release workspace arrays.')
       END IF
@@ -278,5 +278,5 @@
       !!----------------------------------------------------------------------
       !!
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztstref => wrk_2d_1      ! array with different values for each element
      !!
@@ -289,6 +289,7 @@
       !!----------------------------------------------------------------------
 
-      IF( .not. wrk_use(2, 1) ) THEN
-         CALL ctl_stop('dom_uniq: ERROR - requested workspace array unavailable.')   ;   RETURN
+      IF( wrk_in_use(2, 1) ) THEN
+         CALL ctl_stop('dom_uniq : requested workspace array unavailable.')   ;   RETURN
+         RETURN
       END IF
 
@@ -307,4 +308,8 @@
       puniq(nldi:nlei,nldj:nlej) = REAL( COUNT( lldbl(nldi:nlei,nldj:nlej,:), dim = 3 ) , wp )
       !
+      IF( wrk_not_released(2, 1) ) THEN
+         CALL ctl_stop('dom_uniq : failed to release workspace array.')   ;   RETURN
+      END IF
+      !
    END SUBROUTINE dom_uniq
 
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 2633)
@@ -619,5 +619,5 @@
       !!              - update bathy : meter bathymetry (in meters)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zbathy => wrk_2d_1
       !!
@@ -626,5 +626,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(2, 1))THEN
+      IF(wrk_in_use(2, 1))THEN
          CALL ctl_stop('zgr_bat_ctl: ERROR: requested workspace array unavailable.')
          RETURN
@@ -733,5 +733,5 @@
       ENDIF
       !
-      IF(.not. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('zgr_bat_ctl: ERROR: failed to release workspace array.')
          RETURN
@@ -753,5 +753,5 @@
       !!                                     (min value = 1 over land)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zmbk => wrk_2d_1
       !!
@@ -759,5 +759,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( .not. wrk_use(2, 1))THEN
+      IF( wrk_in_use(2, 1))THEN
          CALL ctl_stop('zgr_bot_level: ERROR - requested 2D workspace unavailable.')
          RETURN
@@ -780,5 +780,5 @@
       zmbk(:,:) = REAL( mbkv(:,:), wp )   ;   CALL lbc_lnk(zmbk,'V',1.)   ;   mbkv  (:,:) = MAX( INT( zmbk(:,:) ), 1 )
       !
-      IF( .not. wrk_release(2, 1))THEN
+      IF( wrk_not_released(2, 1))THEN
          CALL ctl_stop('zgr_bot_level: ERROR - failed to release workspace array.')
          RETURN
@@ -860,5 +860,5 @@
       !!  Reference :   Pacanowsky & Gnanadesikan 1997, Mon. Wea. Rev., 126, 3248-3270.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zprt => wrk_3d_1
       !!
@@ -873,5 +873,5 @@
       !!---------------------------------------------------------------------
       ! 
-      IF( .not. wrk_use(3, 1))THEN
+      IF( wrk_in_use(3, 1))THEN
          CALL ctl_stop('zgr_zps: ERROR - requested workspace unavailable.')
          RETURN
@@ -1068,5 +1068,5 @@
       ENDIF  
       !
-      IF( .not. wrk_release(3, 1))THEN
+      IF( wrk_not_released(3, 1))THEN
          CALL ctl_stop('zgr_zps: ERROR - failed to release workspace.')
          RETURN
@@ -1159,5 +1159,5 @@
       !! Reference : Madec, Lott, Delecluse and Crepon, 1996. JPO, 26, 1393-1408.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zenv => wrk_2d_1, ztmp => wrk_2d_2, zmsk => wrk_2d_3, &
                           zri => wrk_2d_4, zrj => wrk_2d_5, zhbat => wrk_2d_6
@@ -1170,5 +1170,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.not. wrk_use(2, 1,2,3,4,5,6))THEN
+      IF(wrk_in_use(2, 1,2,3,4,5,6))THEN
          CALL ctl_stop('zgr_sco: ERROR - requested workspace arrays unavailable')
          RETURN
@@ -1616,5 +1616,5 @@
 !!gm bug    #endif
       !
-      IF(.not. wrk_release(2, 1,2,3,4,5,6))THEN
+      IF(wrk_not_released(2, 1,2,3,4,5,6))THEN
          CALL ctl_stop('zgr_sco: ERROR - failed to release workspace arrays')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 2633)
@@ -446,5 +446,5 @@
       !!                 p=integral [ rau*g dz ]
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zprn => wrk_3d_1
 
@@ -458,5 +458,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1))THEN
+      IF(wrk_in_use(3, 1))THEN
          CALL ctl_stop('istage_uvg: requested workspace array unavailable.')
          RETURN
@@ -558,5 +558,5 @@
       rotb (:,:,:) = rotn (:,:,:)       ! set the before to the now value
       !
-      IF(.NOT. wrk_release(3, 1))THEN
+      IF(wrk_not_released(3, 1))THEN
          CALL ctl_stop('istage_uvg: failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_cen2.F90	(revision 2633)
@@ -46,5 +46,5 @@
       !! ** Action  :   (ua,va) updated with the now vorticity term trend
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE oce     , ONLY:   zfu   => ta       ! use ta as 3D workspace
       USE oce     , ONLY:   zfv   => sa       ! use sa as 3D workspace
@@ -66,5 +66,5 @@
 
       ! Check that global workspace arrays aren't already in use
-      IF( .not. wrk_use(3, 1,2,3,4,5,6,7) ) THEN
+      IF( wrk_in_use(3, 1,2,3,4,5,6,7) ) THEN
          CALL ctl_stop('dyn_adv_cen2 : requested workspace array unavailable')   ;   RETURN
       END IF
@@ -162,5 +162,5 @@
          &                       tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF( .not. wrk_release(3, 1,2,3,4,5,6,7) )   CALL ctl_stop('dyn_adv_cen2 : failed to release workspace array')
+      IF( wrk_not_released(3, 1,2,3,4,5,6,7) )   CALL ctl_stop('dyn_adv_cen2 : failed to release workspace array')
       !
    END SUBROUTINE dyn_adv_cen2
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv_ubs.F90	(revision 2633)
@@ -67,5 +67,5 @@
       !! Reference : Shchepetkin & McWilliams, 2005, Ocean Modelling. 
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE oce     , ONLY:   zfu    => ta       ! ta used as 3D workspace
       USE oce     , ONLY:   zfv    => sa       ! sa used as 3D workspace
@@ -90,5 +90,5 @@
 
       ! Check that required workspace arrays are not already in use
-      IF( .not. wrk_use(3, 1,2,3,4,5,6,7) .AND. .not. wrk_use(4, 1,2,3,4) ) THEN
+      IF( wrk_in_use(3, 1,2,3,4,5,6,7) .OR. wrk_in_use(4, 1,2,3,4) ) THEN
          CALL ctl_stop('dyn_adv_ubs : requested workspace array unavailable')   ;   RETURN
       END IF
@@ -254,6 +254,6 @@
          &                       tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF( .not. wrk_release(3, 1,2,3,4,5,6,7) .OR. &
-          .not. wrk_release(4, 1,2,3,4)        )   CALL ctl_stop('dyn_adv_ubs : failed to release workspace array')
+      IF( wrk_not_released(3, 1,2,3,4,5,6,7) .OR. &
+          wrk_not_released(4, 1,2,3,4)        )   CALL ctl_stop('dyn_adv_ubs : failed to release workspace array')
       !
    END SUBROUTINE dyn_adv_ubs
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 2633)
@@ -76,5 +76,5 @@
       !!             - Save the trend (l_trddyn=T)
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztrdu => wrk_3d_1, ztrdv => wrk_3d_2   ! 3D workspace
       !!
@@ -83,5 +83,5 @@
       !!----------------------------------------------------------------------
       !
-      IF(.NOT. wrk_use(3, 1,2) ) THEN
+      IF(wrk_in_use(3, 1,2) ) THEN
          CALL ctl_stop('dyn_hpg: requested workspace arrays are unavailable')   ;   RETURN
       END IF
@@ -111,5 +111,5 @@
          &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF(.NOT. wrk_release(3, 1,2) )   CALL ctl_stop('dyn_hpg: failed to release workspace arrays')
+      IF(wrk_not_released(3, 1,2) )   CALL ctl_stop('dyn_hpg: failed to release workspace arrays')
       !
    END SUBROUTINE dyn_hpg
@@ -602,5 +602,5 @@
       USE oce, ONLY :   zhpi => ta   ! use ta as 3D workspace
       USE oce, ONLY :   zhpj => sa   ! use sa as 3D workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: drhox => wrk_3d_1  , dzx => wrk_3d_2
       USE wrk_nemo, ONLY: drhou => wrk_3d_3  , dzu => wrk_3d_4 , rho_i => wrk_3d_5
@@ -619,5 +619,5 @@
       !!----------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(3, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15) ) THEN
+      IF(wrk_in_use(3, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15) ) THEN
          CALL ctl_stop('dyn:hpg_djc : requested workspace arrays unavailable')   ;   RETURN
       END IF
@@ -819,5 +819,5 @@
       END DO
       !
-      IF(.NOT. wrk_release(3, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15) )   &
+      IF(wrk_not_released(3, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15) )   &
          CALL ctl_stop('dyn:hpg_djc : failed to release workspace arrays.')
       !
@@ -835,5 +835,5 @@
       USE oce, ONLY :   zhpi => ta   ! use ta as 3D workspace
       USE oce, ONLY :   zhpj => sa   ! use sa as 3D workspace
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zdistr  => wrk_2d_1 , zsina   => wrk_2d_2 , zcosa  => wrk_2d_3
       USE wrk_nemo, ONLY: zhpiorg => wrk_3d_1 , zhpirot => wrk_3d_2
@@ -849,6 +849,6 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 1,2,3) .OR.      &
-          .NOT. wrk_use(3, 1,2,3,4,5,6,7,8) ) THEN
+      IF( wrk_in_use(2, 1,2,3) .OR.      &
+          wrk_in_use(3, 1,2,3,4,5,6,7,8) ) THEN
          CALL ctl_stop('dyn:hpg_rot : requested workspace arrays unavailable')   ;   RETURN
       END IF
@@ -1009,6 +1009,6 @@
       END DO
       !
-      IF( .NOT. wrk_release(2, 1,2,3)  .OR.     &
-          .NOT. wrk_release(3, 1,2,3,4,5,6,7,8) )   CALL ctl_stop('dyn:hpg_rot : failed to release workspace arrays')
+      IF( wrk_not_released(2, 1,2,3)  .OR.     &
+          wrk_not_released(3, 1,2,3,4,5,6,7,8) )   CALL ctl_stop('dyn:hpg_rot : failed to release workspace arrays')
       !
    END SUBROUTINE hpg_rot
